AC_DEFUN(CHECK_GAIM_VERSION,[
#
# check for gaim version
#
AC_ARG_WITH(gaimversion,[  --with-gaimversion=ver  replace ver with 1.5 or 2.0
                          example: --with-gaimversion=2.0 if we are compiling
                          against gaim 2.0.x. By default we will run "gaim" to
                          guess what verison to use ],gaimver="$with_gaimversion",)

AC_MSG_CHECKING(for gaim version)
if test "x$gaimver" = "x" ; then
	# we no default set, try to figure out what gaim version to use
	if ( sh -c "gaim --version" 2>/dev/null | grep "Gaim 1.5" >/dev/null ) 
	then gaimver=1.5
	fi

	if ( sh -c "gaim --version" 2>/dev/null | grep "Gaim 2.0" >/dev/null ) 
	then gaimver=2.0
	fi
else
	# they set --with-gaimversion= to something make sure its 1.5 or 2.0
	if test "$gaimver" != "1.5" ; then
		if test "$gaimver" != "2.0" ; then
			AC_MSG_ERROR([--with-gaimversion parameter error
Valid values are 1.5 or 2.0.  No other values should be used.
])
		fi
	fi
fi

if test "x$gaimver" = "x" ; then
	AC_MSG_ERROR([Could not determine Gaim version
use --with-gaimversion=X.X
"gaim" not found or "gaim --version" output unknown])
fi

#decide what headers to use
if test "x$gaimver" = "x2.0" ; then
	AC_DEFINE(_HAVE_GAIM_20, 1, [Define if we're using gaim 2.0 headers.])
	AC_MSG_RESULT(2.0.x)
	#now we know its 2.0.x check if its a 2.0.0 beta and if so which one
	AC_MSG_CHECKING(which 2.0.0 beta we are using)
	if (sh -c "gaim --version" 2>/dev/null | grep "Gaim 2.0.0beta" >/dev/null) then
	        gaim20beta=`./findbetano.sh gaim`
		AC_MSG_RESULT(beta $gaim20beta)
		AC_DEFINE_UNQUOTED(_GAIM_20_BETA, $gaim20beta, [Define which beta we are using 0=pre-2.0 127=2.0final hopefully there wont ever be a beta 127] )
	else
		AC_MSG_RESULT(not a 2.0.0 beta)
		AC_DEFINE(_GAIM_20_BETA, 127)
	fi
	
else
	AC_MSG_RESULT(1.5.x)
	AC_DEFINE(_GAIM_20_BETA, 0)
	
fi

])


AC_DEFUN(CHECK_PIDGIN_VERSION,[
gaimver=2.0
AC_DEFINE(_HAVE_GAIM_20, 1, [Define if we're using gaim 2.0 headers.])

#we know its 2.0.x (well it could be 3.0.x or svn but we don't care about those atm). 
#check if its a 2.0.0 beta and if so which one
AC_MSG_CHECKING(which 2.0.0 beta we are using)
if (sh -c "pidgin --version" 2>/dev/null | grep "Pidgin 2.0.0beta" >/dev/null) then
        gaim20beta=`./findbetano.sh pidgin`
	AC_MSG_RESULT(beta $gaim20beta)

	AC_DEFINE_UNQUOTED(_GAIM_20_BETA, $gaim20beta, [Define which beta we are using 0=pre-2.0 127=2.0final hopefully there wont ever be a beta 127] )
else
	AC_MSG_RESULT(not a 2.0.0 beta)
	AC_DEFINE(_GAIM_20_BETA, 127)
fi
	

])

